<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::any('login', 'Api\LoginController@login');
Route::any('acceptData', 'Api\AssetController@updateData');

Route::group(['middleware'=> ['checkLogin']],function ($route){
    //操作日志
    $route->any('systemRecordList', 'Api\SystemRecordController@orderList');

    //菜单
    $route->any('menuAdd', 'Api\SysMenuController@add');
    $route->any('menuEdit', 'Api\SysMenuController@edit');
    $route->any('menuDel', 'Api\SysMenuController@del');
    $route->any('menuList', 'Api\SysMenuController@menuList');
    $route->any('menuMove', 'Api\SysMenuController@menuMove');

    //人员
    $route->any('employeeAdd', 'Api\EmployeeController@employeeAdd');
    $route->any('employeeEdit', 'Api\EmployeeController@employeeEdit');
    $route->any('employeeDel', 'Api\EmployeeController@employeeDel');
    $route->any('employeeList', 'Api\EmployeeController@employeeList');
    $route->any('employeeManagerDepart', 'Api\EmployeeController@employeeManagerDepart');
    $route->any('employeeDepart', 'Api\EmployeeController@employeeDepart');

    //部门
    $route->any('departAdd', 'Api\EmployeeController@departAdd');
    $route->any('departEdit', 'Api\EmployeeController@departEdit');
    $route->any('departDel', 'Api\EmployeeController@departDel');
    $route->any('departList', 'Api\EmployeeController@departList');

    //角色
    $route->any('roleAdd', 'Api\EmployeeController@roleAdd');
    $route->any('roleEdit', 'Api\EmployeeController@roleEdit');
    $route->any('roleDel', 'Api\EmployeeController@roleDel');
    $route->any('roleList', 'Api\EmployeeController@roleList');

    //资产(主动新增的)
    $route->any('assetAdd', 'Api\AssetController@add');
    $route->any('assetEdit', 'Api\AssetController@edit');
    $route->any('assetDel', 'Api\AssetController@del');
    $route->any('assetOtherList', 'Api\AssetController@assetOtherList');

    //资产(外部传递的)
    $route->any('assetList', 'Api\AssetController@assetList');
    //区域和部门
    $route->any('getDepAndArea','Api\AssetController@getDepAndArea');

    //盘点
    $route->any('inventoryAdd', 'Api\InventoryController@add');
    $route->any('inventoryEdit', 'Api\InventoryController@edit');
    $route->any('inventoryDel', 'Api\InventoryController@del');
    $route->any('inventoryDetail', 'Api\InventoryController@detail');
    $route->any('inventoryList', 'Api\InventoryController@orderList');
    $route->any('inventoryAssetUpdateState', 'Api\InventoryController@updateAssetState');
    $route->any('inventoryOrderUpdateState', 'Api\InventoryController@updateOrderState');
});
